package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description:上一次查询记录
 *
 * @author lgs
 * @date 2023/06/09
 */
@Data
public class LastQueryRecord {

    /**
     * 上一次查询日期
     */
    @JSONField(name = "LASTQUERYDATE")
    private String lastQueryDate;

    /**
     * 上一次查询机构类型代码
     */
    @JSONField(name = "LASTORGTYPECODE")
    private String lastOrgTypeCode;

    /**
     * 上一次查询机构类型描述
     */
    @JSONField(name = "LASTORGTYPEDESC")
    private String lastOrgTypeDesc;
    /**
     * 上一次查询机构代码
     */
    @JSONField(name = "LASTORGCODE")
    private String lastOrgCode;

    /**
     * 上一次查询原因代码
     */
    @JSONField(name = "LASTQUERYREASONCODE")
    private String lastQueryReasonCode;

    /**
     * 上一次查询原因描述
     */
    @JSONField(name = "LASTQUERYREASONDESC")
    private String lastQueryReasonDesc;
}
