package com.kexun.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.kexun.entity.BusinessInfo;
import com.kexun.entity.CustomInfo;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @Entity com.kexun.entity.PartnerInfo
 */
public interface CustomInfoMapper extends BaseMapper<CustomInfo> {

    CustomInfo queryCustomInfo(@Param("businessNum") String businessNum);
    List<CustomInfo> queryCustomTelephone(@Param("businessNum") String businessNum);
    List<CustomInfo> queryCustomAddress(@Param("businessNum") String businessNum);
}




