package com.kexun.model.xml.pub;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.kexun.model.xml.IXmlBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:欠税记录
 *
 * @author lgs
 * @date 2023/06/13
 */
@Data
public class PubOwingTaxesInf {

    /**
     * 主管税务机关
     */
    @JSONField(name = "TAXAUTHORITY")
    private String taxAuthority;

    /**
     * 欠税总额
     */
    @JSONField(name = "OWINGTAXESTOTAL")
    private BigDecimal owingTaxesTotal;

    /**
     * 欠税统计日期
     */
    @JSONField(name = "OWINGTAXESDATE")
    private String owingTaxesDate;
}
