package com.kexun.model.xml.pub;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description:行政奖励记录
 *
 * @author lgs
 * @date 2023/06/13
 */
@Data
public class PubRewardInf {

    /**
     * 奖励机构
     */
    @JSONField(name = "REWARDINS")
    private String rewardIns;

    /**
     * 奖励内容
     */
    @JSONField(name = "REWARDCON")
    private String rewardCon;

    /**
     * 生效日期
     */
    @JSONField(name = "EFFECTIVEMONTH")
    private String effeDate;

    /**
     * 截止日期
     */
    @JSONField(name = "DEADLINEMONTH")
    private String endDate;

}
